Summary:	Xfce panel timer plugin
Summary(pl.UTF-8):	Wtyczka panelu Xfce odliczająca czas
Name:		xfce4-timer-plugin
Version:	1.7.2
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-timer-plugin/1.7/%{name}-%{version}.tar.bz2
# Source0-md5:	7ef3c9ed6829ce810b26801f5ab6907a
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-timer-plugin
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.14.0
BuildRequires:	xfce4-panel-devel >= 4.14.0
Requires:	xfce4-panel >= 4.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple plugin that lets the user run an alarm at a specified
time or at the end of a specified countdown period.

%description -l pl.UTF-8
Wtyczka ta pozwala na powiadamianie o zdefiniowanym wcześniej
zdarzeniu, bądź po upływie określonego odcinka czasu.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/libxfcetimer.la
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{fa_IR,hye,ie,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md TODO
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libxfcetimer.so
%{_iconsdir}/hicolor/*x*/apps/xfce4-timer-plugin.png
%{_iconsdir}/hicolor/scalable/apps/xfce4-timer-plugin.svg
%{_datadir}/xfce4/panel/plugins/xfce4-timer-plugin.desktop
%changelog
* Tue Apr 18 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-timer-plugin.git;a=log;h=master

* Tue Apr 18 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 44a1563
- up to 1.7.2

* Wed Aug 12 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0745e06
- up to version 1.7.1

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 3dce972
- up to 1.7.0

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 0421bad
- rebuild for XFCE 4.12
- release 3 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 4732dc3
- x32 rebuild
- release 2 (by relup.sh)

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> c8f377d
- up to 1.6.0
- fix format string error

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> a7b3a7b
- rel 2
- no ur_PK locale

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> e73281a
- package app icon

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> c8de7f8
- pt locale fix upstream

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> b02b9e7
- really port to libxfce4ui

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 518de58
- 0.6.4

* Wed Jul 06 2011 lisu <lisu@pld-linux.org> 1989b4e
- rel 3

* Wed Jul 06 2011 lisu <lisu@pld-linux.org> 2255dd1
- fix build with libxfce4ui

* Wed Jul 06 2011 lisu <lisu@pld-linux.org> 2267314
- add only BR: libxfcegui4-devel >= 4.2.0

* Wed Jul 06 2011 lisu <lisu@pld-linux.org> d2a8a94
- reversed last two commits

* Wed Jul 06 2011 lisu <lisu@pld-linux.org> 8be5f54
- notice about update in previous commit log

* Wed Jul 06 2011 lisu <lisu@pld-linux.org> 7e49267
- updated to 0.6.2
- BR: libxfcegui4-devel >= 4.2.0

* Thu Feb 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5b06a5b
- release 2

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> eb40ba6
- updated to 0.6.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 18aa360
- tabs in preamble

